Bug 484331 - Review Request: perl-Sendmail-PMilter - Perl binding of Sendmail Milter protocol
Review Request: perl-Sendmail-PMilter - Perl binding of Sendmail Milter prot...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 02:07 EST by John Guthrie
Modified: 2013-04-30 11:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 13:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2009-02-06 02:07:01 EST
Spec URL: http://www.guthrie.info/perl-Sendmail-PMilter.spec
SRPM URL: http://www.guthrie.info/perl-Sendmail-PMilter-0.96-4.fc10.src.rpm
Description: Sendmail::PMilter is a mail filtering API implementing the Sendmail milter protocol in pure Perl. This allows Sendmail servers (and perhaps other MTAs implementing milter) to filter and modify mail in transit during the SMTP connection, all in Perl.

It should be noted that PMilter 0.90 and later is NOT compatible with scripts written for PMilter 0.5 and earlier.  The API has been reworked significantly, and the enhanced APIs and rule logic provided by PMilter 0.5 and earlier has been factored out for inclusion in a separate package to be called Mail::Milter.
Comment 1 John Guthrie 2009-02-06 10:23:14 EST
I mis-typed the two URLs above.  They should be:

Spec URL: http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter.spec
SRPM URL: http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter-0.96-4.fc10.src.rpm
Comment 2 John Guthrie 2009-02-15 18:46:43 EST
There was a small error in the POD code for one of the perl module files.  I have patched that and here is the new SRPM:  http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter-0.96-5.fc10.src.rpm  The new Spec file is still at the same URL.
Comment 3 manuel wolfshant 2009-03-08 17:27:50 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type according to spec: BSD
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of : b4677999e200acbb373bdd00195b1b95a10b0cbc Sendmail-PMilter-0.96.tar.gz
=> see also Note 1
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [!] Package consistently uses macros.
=> see note 2
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [!] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
=> see issue 1
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: not tested due to missing BR; works OK after adding it. See issue 1 for details
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Make test is OK

======
Notes
======
1. Soon after your review request was filed, version 0.97 was published. Could you please upgrade your package, too ?
2. For consistency sake, I suggest to replace the /usr/bin/ from sed (in %prep) with the %bindir macro. I will not block review if you prefer to leave it as it is


=====
Issues
=====
1. There is a missing BR for perl(Test::More) which causes mock build to fail.


Please submit a corrected package and I'll gladly approve it if it's OK.
Comment 4 manuel wolfshant 2009-03-08 18:09:47 EDT
Obviously the " [x] Latest version is packaged." should be read "[!]  Latest version is packaged. see Note 1"
Comment 5 John Guthrie 2009-03-16 16:42:59 EDT
(In reply to comment #3)
> ======
> Notes
> ======
> 1. Soon after your review request was filed, version 0.97 was published. Could
> you please upgrade your package, too ?

Done.

> 2. For consistency sake, I suggest to replace the /usr/bin/ from sed (in %prep)
> with the %bindir macro. I will not block review if you prefer to leave it as it
> is

I'm a little confused.  The sed in the spec file should have been bare.  It shouldn't have had a /usr/bin in front of it.  Also, sed seems to be in /bin, not /usr/bin, which is the value of %{_bindir}, IIRC.  Most of my other commands were bare, so I left the sed bare as well, since it should be in the path.

> =====
> Issues
> =====
> 1. There is a missing BR for perl(Test::More) which causes mock build to fail.

This has been fixed.

> Please submit a corrected package and I'll gladly approve it if it's OK.  

Here is the new URL for the updated SRPM:
http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter-0.97-1.f10.src.rpm
Comment 6 John Guthrie 2009-03-16 16:45:34 EDT
(In reply to comment #5)
> Here is the new URL for the updated SRPM:
> http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter-0.97-1.f10.src.rpm  

I made a small typo.  Here is the correct URL:
http://www.guthrie.info/RPMS/f10/perl-Sendmail-PMilter-0.97-1.fc10.src.rpm
Comment 7 manuel wolfshant 2009-05-02 19:28:13 EDT
Sorry for the delay, this review has slipped completely below the radar.

package APPROVED.
Comment 8 John Guthrie 2009-05-14 03:34:42 EDT
New Package CVS Request
=======================
Package Name: perl-Sendmail-PMilter
Short Description: Perl binding of Sendmail Milter protocol
Owners: guthrie
Branches: F-9 F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-05-15 19:43:24 EDT
cvs done.
Comment 10 John Guthrie 2009-05-19 13:07:43 EDT
This package builds successfully in all branches.  Closing now.
Comment 11 Paul Howarth 2013-04-30 11:21:24 EDT
Package Change Request
======================
Package Name: perl-Sendmail-PMilter
New Branches: el5 el6
Owners: pghmcfc
InitialCC: perl-sig
Comment 12 Gwyn Ciesla 2013-04-30 11:24:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.